package com.fr.conf.db.demo.fun.entity;

import com.fr.stable.AssistUtils;
import com.fr.stable.db.entity.BaseEntity;
import com.fr.third.javax.persistence.Column;
import com.fr.third.javax.persistence.Entity;
import com.fr.third.javax.persistence.Table;

import java.util.Date;

@Entity
@Table(name = "fine_plugin_system_conf")
public class SystemConfigEntity extends BaseEntity {

    @Column(name = "user")
    private String user;

    @Column(name = "salary")
    private double salary;

    @Column(name = "birth")
    private Date birth;

    public SystemConfigEntity() {

    }

    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    public double getSalary() {
        return salary;
    }

    public void setSalary(double salary) {
        this.salary = salary;
    }

    public Date getBirth() {
        return birth;
    }

    public void setBirth(Date birth) {
        this.birth = birth;
    }

    @Override
    public String toString() {
        return AssistUtils.toString(this);
    }
}
